<template>
  <v-app>
    <v-toolbar app>
      <v-toolbar-side-icon @click="drawer = !drawer"/>
      <!--<v-toolbar-side-icon class="hidden-lg-and-up" @click.stop="drawer = !drawer"/>-->
      <v-toolbar-title class="headline text-uppercase">
        <span></span>
      </v-toolbar-title>
      <v-spacer></v-spacer>
    </v-toolbar>

    <v-content>
      <v-navigation-drawer v-model="drawer" app>
        <v-list>
          <!-- Link to Cards listing -->
          <v-list-tile :to="{name: 'cards'}">
            <v-list-tile-action>
              <v-icon>mdi-card-text</v-icon>
            </v-list-tile-action>
            <v-list-tile-content>
              <v-list-tile-title>Cards</v-list-tile-title>
            </v-list-tile-content>
          </v-list-tile>
          <!-- Link to Products listing -->
          <v-list-tile :to="{name: 'products'}">
            <v-list-tile-action>
              <v-icon>mdi-package-variant-closed</v-icon>
            </v-list-tile-action>
            <v-list-tile-content>
              <v-list-tile-title>Products</v-list-tile-title>
            </v-list-tile-content>
          </v-list-tile>
          <!-- Link to Product Groups listing -->
          <v-list-tile :to="{name: 'groups'}">
            <v-list-tile-action>
              <v-icon>mdi-shape</v-icon>
            </v-list-tile-action>
            <v-list-tile-content>
              <v-list-tile-title>Groups</v-list-tile-title>
            </v-list-tile-content>
          </v-list-tile>
        </v-list>
      </v-navigation-drawer>
      <router-view/>
    </v-content>
  </v-app>
</template>

<script>
export default {
  name: "App",
  data() {
    return {
      drawer: false
    };
  }
};
</script>

<style lang="scss">
.page-root {
  width: 100%;
  height: 100%;
}
</style>
